# Class LegendLabel

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a label associated with a legend, typically used to describe or identify an entry in a chart, graph, or similar visual component.

    public class LegendLabel

Inheritance
  object
  LegendLabel

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### ColorIcon

    public string? ColorIcon { get; set; }

#### Property Value

string

### ColorLabel

    public string? ColorLabel { get; set; }

#### Property Value

string

### IconType

    public DisplayConfigEnums.ELegendIconType? IconType { get; set; }

#### Property Value

DisplayConfigEnums.ELegendIconType?

### Name

    public string? Name { get; set; }

#### Property Value

string

### ShowSymbol

    public bool? ShowSymbol { get; set; }

#### Property Value

bool?